Bug 174940 - [new port]: misc/valspeak, a filter that converts English text to valspeak.
[new port]: misc/valspeak, a filter that converts English text to valspeak.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: John Marino
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 14:20 UTC by dereckson
Modified: 2014-06-28 22:20 UTC (History)
2 users (show)

See Also:


Attachments
file.shar (2.06 KB, text/plain)
2013-01-03 14:20 UTC, dereckson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2013-01-03 14:20:00 UTC
Valspeak is a filter that converts English text to valspeak.
Valspeak reads from standard input and writes to standard output.

We have a misc/jive port since 1997, but it were released on net.sources in 1986 with another program, valspeak. I packaged it to repair this omission.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2013-01-03 16:43:56 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

The 'misc' GNATS category is only for PRs that do not fit in one of the 
standard GNATS categories.  Refile this as a ports PR.
Comment 2 John Marino freebsd_committer 2014-06-19 07:02:31 UTC
I'll take it, assuming it's not i386-only.
Comment 3 commit-hook freebsd_committer 2014-06-19 08:25:06 UTC
A commit references this bug:

Author: marino
Date: Thu Jun 19 08:24:48 UTC 2014
New revision: 358364
URL: http://svnweb.freebsd.org/changeset/ports/358364

Log:
  Add new port misc/valspeak (after 1.5 years wait)

  This was submitted 3 Jan 2013.  Thanks for your patience.  I took the
  liberty of proving stage support and allows CFLAGS from ports to pass
  to the vendor makefile.  I also updated CONFLICTS to please portlint,
  and removed the unnecessary Makefile patch by using ALL_TARGETS.

  PR:		174940
  Submitted by:	Sebastien Santoro

       ================================================================

  Valspeak is a filter that converts English text to valspeak.
  Valspeak reads from standard input and writes to standard output.

Changes:
  head/misc/Makefile
  head/misc/valspeak/
  head/misc/valspeak/Makefile
  head/misc/valspeak/distinfo
  head/misc/valspeak/pkg-descr
Comment 4 John Marino freebsd_committer 2014-06-19 08:26:42 UTC
Thanks!
Comment 5 John Marino freebsd_committer 2014-06-19 10:12:35 UTC
Sebastian, can you comment on the discussion below?

>> On 6/19/2014 10:52, Matthew Seaman wrote:
>> valspeak was already in the ports as part of misk/talkfilters
>>
>
> Hi Matthew,
> The port marks a conflict with talkfilters, so maybe this is
> intentional?  Is there a benefit to having it separately?

These talkfilters are all fairly simple lex-based filter programs that
make amusing substitutions in any piece of text fed through them.  ie. a
bunch of fairly small binaries.

Unless the valspeak you just committed is different to the one in
talkfilters -- which is entirely possible: IIRC these programs have been
floating around the net since before the millenium, probably evolved a
bit during that time -- then I don't think there's anything much to be
gained from a separate port.

	Cheers,
	Matthew
Comment 6 dereckson 2014-06-19 10:37:47 UTC
(In reply to John Marino from comment #5)
> Sebastian, can you comment on the discussion below?
> 
> >> On 6/19/2014 10:52, Matthew Seaman wrote:
> >> valspeak was already in the ports as part of misk/talkfilters
> >>
> >
> > Hi Matthew,
> > The port marks a conflict with talkfilters, so maybe this is
> > intentional?  Is there a benefit to having it separately?
> 
> These talkfilters are all fairly simple lex-based filter programs that
> make amusing substitutions in any piece of text fed through them.  ie. a
> bunch of fairly small binaries.
> 
> Unless the valspeak you just committed is different to the one in
> talkfilters -- which is entirely possible: IIRC these programs have been
> floating around the net since before the millenium, probably evolved a
> bit during that time -- then I don't think there's anything much to be
> gained from a separate port.
> 
> 	Cheers,
> 	Matthew


Yes, they are different, the version I uploaded uses different (and I think more efficient) substitution rules.

Furthermore, talkfilters is a GNU-licensed stuff.

The port is already aware of the conflict, per the CONFLICTS= line.

And, yes it's intentional, the jive program too is offered in the filters packages.
Comment 7 John Marino freebsd_committer 2014-06-19 10:45:31 UTC
Okay, thanks.  We'll leave it as a separate port although I'd recommend you document some of these benefits in pkg-descr to avoid confusion in the future.  Can you supply an better pkg-descr file?
Comment 8 John Marino freebsd_committer 2014-06-19 20:57:08 UTC
The RESTRICTED line is making waves.  Can you comment on the following?

On 19 June 2014 12:30, John Marino <freebsd.contact@marino.st> wrote:
> On 6/19/2014 18:15, Eitan Adler wrote:
>> On 19 June 2014 01:24, John Marino <marino@freebsd.org> wrote:
>>
>>> +RESTRICTED=     1986 software shared on the net.sources newsgroup \
>>> +               with the intent to redistribute it, but without any \
>>> +               license or author information clearly available.
>>
>> This also needs an entry in /usr/ports/LEGAL.
>
> The other possibility is that this line needs to be removed from the
> port.  Apparently this comes from the same place as misc/jive and
> misc/talkfilters and they don't have the same restriction.
>
> It may be submitter was overly cautious here?

Perhaps.  However, so long as RESTRICTED is set, an entry is required
in /usr/ports/LEGAL
Comment 9 John Marino freebsd_committer 2014-06-21 13:49:24 UTC
I hate to be pushy, but I've got an open order to add something to LEGAL so I really need to take action, otherwise it looks like I'm ignoring the instruction.

Plus the change to pkg-descr is pending too...
I'd like to close out this PR.
Comment 10 John Marino freebsd_committer 2014-06-21 14:03:07 UTC
The original makefile has weird indentation (too many tabs).  Easy to fix.

The main problem is MAN1 is defined.  That macro is never defined for staged ports.
Comment 11 John Marino freebsd_committer 2014-06-21 14:04:26 UTC
ignore last, wrong PR
Comment 12 John Marino freebsd_committer 2014-06-25 21:35:09 UTC
Sebastien,
Another 4 days have passed.  Can you please give me some guidance on these two open issues?

1) Improved pkg-descr to indicate why to use this over talkfilters
2) Tell me why this has a RESTRICTION which must be documented in LEGAL when similar ports from same basic source have no such restriction
Comment 13 dereckson 2014-06-26 12:46:03 UTC
About RESTRICTION: this is maybe a question to ask to the community as large: how to distribute copyrighted software with intent to distribute it freely by the authors, but no textual information about it?

About pkg-descr: what exactly do you want to add or document?
Comment 14 John Marino freebsd_committer 2014-06-26 12:54:59 UTC
We don't need to reinvent the wheel here.  You previously indicated that software like jive and talkfilters come from the same place.  If they don't need the restriction, why does valspeak?  In other words, why are you placing a much higher restriction than similar s/w?

I don't know who the community "at large" is.  I'm not going to run a poll or anything like that.  There has to be precedent already set I have to believe.


the pkg-descr discussion is in previous comments.  Basically you said we should have a separate port for valspeak even though talkfilters contains valspeak.  the pkg-descr should contain text to help people know what the difference is and why they should be using valspeak over talkfilters.  It needs to justify its existence which has already been questioned.

It might help to go back and re-read the entire PR...?
Comment 15 dereckson 2014-06-26 14:10:58 UTC
jive and valpseak came from the same place, textfilters is a GNU software published afterwards.

Okay, I'll submit an amended pkg-descr in the next following weeks.
Comment 16 John Marino freebsd_committer 2014-06-26 14:15:24 UTC
I can't wait "weeks" for the LEGAL issue though -- it's already a week late.  My interpretation of your words is that legally this is same as jive, so it can be treated the same.  Is that right, can I remove the RESTRICTION?

I don't see why something you basically already wrote in 2 minutes needs a lot a ton of work.  I want to close out this PR ASAP.  I had no obligation to take it and now I'm starting to regret it, honestly.
Comment 17 dereckson 2014-06-26 14:18:40 UTC
So:
- it takes 18 months to have something committed
- I have to react in matter of hours and can't wait I've a working and peaceful environment to work in July, which is not currently the case today.

Okay... Totally logic...
Comment 18 John Marino freebsd_committer 2014-06-26 14:45:49 UTC
Hours?
I've been asking for this since June 19.  That is 7 full days to do the equivalent of 5-10 minutes worth of writing (if even that).

I had nothing to do with 18 month wait.  I wasn't even a committer when you submitted the PR.  I was doing you a favor because I felt you had waited long enough.
Comment 19 John Marino freebsd_committer 2014-06-26 14:50:52 UTC
Here's what I plan to do:

1) I'm going to remove the restriction
2) I'm going to close the PR without waiting for you to fix the pkg-descr
3) I'll leave your future PRs for others to pick up so we don't have a repeat of an expectation problem

If that sounds fine, just say "yes" and we'll finish this off.
Comment 20 commit-hook freebsd_committer 2014-06-28 22:12:20 UTC
A commit references this bug:

Author: marino
Date: Sat Jun 28 22:11:54 UTC 2014
New revision: 359722
URL: http://svnweb.freebsd.org/changeset/ports/359722

Log:
  misc/valspeak: Remove RESTRICTION

  Valspeak comes from the same place as misc/jive which has never carried
  a restriction.  Follow jive's suit; LEGAL entry no longer required.

  PR:		174940
  Reported by:	eadler

Changes:
  head/misc/valspeak/Makefile
Comment 21 John Marino freebsd_committer 2014-06-28 22:20:31 UTC
As this experience was not enjoyable for me, I'm happily closing the PR despite a less-than-optimal pkg-descr file in order to be done with it.